.TH PARTUNE 1 "Aug 29 1995" "Stanford University" "SUIF Compiler"
.SH NAME
partune \- tune parallel performance
.SH SYNOPSIS
.B partune
.I command-line
.SH DESCRIPTION
The
.I partune
program gathers runtime feedback statistics to tune the parallel
performance of a program parallelized with SUIF, where
.I command-line
is the command line to run the parallel program.  The parallel program
needs to have been linked with
.I lib_runtime_*_all_stats.a,
which can be generated from the sources in the
.I runtime
package.  This version of the runtime library gathers timing
information and prints it to standard output.  The
.I partune
program runs
.I command-line
first with the environment variable PL_NUM_THREADS set to 1, then
increments PL_NUM_THREADS and re-runs
.I command-line,
iterating until it has run with PL_NUM_THREADS at the value of
PL_MAXPROC.  It takes the best number of processors to use for each
task procedure and writes that to standard error in a form that can be
included as partune.data by feedback.c from the runtime library
package, or read in by the
.I parfeedback
pass.
.sp
Note that since
.I partune
parses the data from standard error of the test program, the test
program is not allowed to write anything else to standard output or
this pass will fail.
.SH SEE ALSO
.I parfeedback
.I pgen
.SH HISTORY
This program was written by Chris Wilson.
